[Qa-jenkins-scm] [jenkins.debian.net] 01/01: reproducible debian: disable all the schroot creating/maintenance jobs

Mattia Rizzolo mattia at debian.org
Fri Apr 6 08:30:39 UTC 2018


This is an automated email from the git hooks/post-receive script.

mattia pushed a commit to branch master
in repository jenkins.debian.net.

commit 8912daf2bae2d3176a88a2c00dd75b3bce41dc7b
Author: Mattia Rizzolo <mattia at debian.org>
Date:   Fri Apr 6 10:29:23 2018 +0200

    reproducible debian: disable all the schroot creating/maintenance jobs
    
    now that the build jobs are using chdist, these schroot should be
    unused.
    
    Disable the jobs for now without removing them.
    
    Signed-off-by: Mattia Rizzolo <mattia at debian.org>
---
 bin/reproducible_maintenance.sh | 34 +++++++++++++++++-----------------
 job-cfg/reproducible.yaml       |  9 +++++++++
 2 files changed, 26 insertions(+), 17 deletions(-)

diff --git a/bin/reproducible_maintenance.sh b/bin/reproducible_maintenance.sh
index b6669a2..8369aa6 100755
--- a/bin/reproducible_maintenance.sh
+++ b/bin/reproducible_maintenance.sh
@@ -130,23 +130,23 @@ for s in $SUITES ; do
 	#
 	# schroot update
 	#
-	echo "$(date -u) - updating the $s/$ARCH schroot now."
-	for i in 1 2 3 4 ; do
-		[ ! -d $SCHROOT_BASE/reproducible-$s ] || schroot --directory /root -u root -c source:jenkins-reproducible-$s -- apt-get update
-		RESULT=$?
-		if [ $RESULT -eq 1 ] ; then
-			# sleep 61-120 secs
-			echo "Sleeping some time... (to workaround network problems like 'Hash Sum mismatch'...)"
-			/bin/sleep $(echo "scale=1 ; ($(shuf -i 1-600 -n 1)/10)+60" | bc )
-			echo "$(date -u) - Retrying to update the $s/$ARCH schroot."
-		elif [ $RESULT -eq 0 ] ; then
-			break
-		fi
-	done
-	if [ $RESULT -eq 1 ] ; then
-		echo "Warning: failed to update the $s/$ARCH schroot."
-		DIRTY=true
-	fi
+	#echo "$(date -u) - updating the $s/$ARCH schroot now."
+	#for i in 1 2 3 4 ; do
+	#	[ ! -d $SCHROOT_BASE/reproducible-$s ] || schroot --directory /root -u root -c source:jenkins-reproducible-$s -- apt-get update
+	#	RESULT=$?
+	#	if [ $RESULT -eq 1 ] ; then
+	#		# sleep 61-120 secs
+	#		echo "Sleeping some time... (to workaround network problems like 'Hash Sum mismatch'...)"
+	#		/bin/sleep $(echo "scale=1 ; ($(shuf -i 1-600 -n 1)/10)+60" | bc )
+	#		echo "$(date -u) - Retrying to update the $s/$ARCH schroot."
+	#	elif [ $RESULT -eq 0 ] ; then
+	#		break
+	#	fi
+	#done
+	#if [ $RESULT -eq 1 ] ; then
+	#	echo "Warning: failed to update the $s/$ARCH schroot."
+	#	DIRTY=true
+	#fi
 	#
 	# pbuilder update
 	#
diff --git a/job-cfg/reproducible.yaml b/job-cfg/reproducible.yaml
index 8478c11..afe3d1f 100644
--- a/job-cfg/reproducible.yaml
+++ b/job-cfg/reproducible.yaml
@@ -215,6 +215,7 @@
 - job-template:
     defaults: reproducible
     name: '{name}_setup_schroot_{my_distro}_{my_arch}_{my_hname}'
+    my_disabled: true
 
 - job-template:
     defaults: reproducible_git
@@ -407,15 +408,19 @@
                 - 'setup_schroot_unstable':
                     my_description: 'Setup unstable schroot for fetching source packages for the builder jobs.'
                     my_timed: '20 1 * * *'
+                    my_disabled: true
                 - 'setup_schroot_stretch':
                     my_description: 'Setup stretch schroot for fetching source packages for the builder jobs.'
                     my_timed: '0 1 * * *'
+                    my_disabled: true
                 - 'setup_schroot_buster':
                     my_description: 'Setup buster schroot for fetching source packages for the builder jobs.'
                     my_timed: '0 2 * * *'
+                    my_disabled: true
                 - 'setup_schroot_experimental':
                     my_description: 'Setup experimental schroot for fetching source packages for the builder jobs.'
                     my_timed: '40 1 * * *'
+                    my_disabled: true
             my_hname:
                 - 'bbx15':          { my_arch: 'armhf' }
                 - 'bpi0':           { my_arch: 'armhf' }
@@ -482,12 +487,16 @@
                 - 'unstable':
                     my_timed: '42 1 * * *'
                     my_shell: '/srv/jenkins/bin/schroot-create.sh reproducible reproducible-{my_distro} {my_distro}'
+                    my_disabled: true
                 - 'stretch':
                     my_timed: '42 1 * * *'
+                    my_disabled: true
                 - 'buster':
                     my_timed: '42 2 * * *'
+                    my_disabled: true
                 - 'experimental':
                     my_timed: '33 1 * * *'
+                    my_disabled: true
             my_description: 'Setup {my_distro} schroot for fetching source packages for the builder jobs.'
             my_shell: '/srv/jenkins/bin/schroot-create.sh reproducible reproducible-{my_distro} {my_distro}'
             my_hname:

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list